unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, inifiles, ExtCtrls, ActnList;

type
  TForm4 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Panel1: TPanel;
    Bevel1: TBevel;
    Label2: TLabel;
    Edit1: TEdit;
    Label1: TLabel;
    Memo1: TMemo;
    Bevel3: TBevel;
    ActionList1: TActionList;
    Action1: TAction;
    Bevel2: TBevel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Action1Execute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

uses main, cfg;

{$R *.DFM}

////////////////////////////////////////////////////////////////////////////////
// -  
////////////////////////////////////////////////////////////////////////////////
procedure TForm4.FormActivate(Sender: TObject);
var  cfgini:tinifile;
//     i:integer;
begin
  cfgini:=tinifile.Create(dir+'PhoneBook.ini');
  try
    memo1.lines.clear;
    edit1.text:=Phonebook.list.selected.text;
    label4.Caption:=inttostr(Phonebook.list.selected.Count);
    case Phonebook.list.selected.ImageIndex of
      1: begin // 
           form4.Height:=220;
           label1.Visible :=true;
           memo1.Visible :=true;
           button1.top:=168;
           button2.top:=168;

           memo1.Lines.Clear;
           memo1.Lines.add(cfgIni.ReadString('Group',Phonebook.list.selected.text,''));
        end;
      2:begin // 
           form4.Height:= 96;
           label1.Visible :=false;
           memo1.Visible :=False;
           button1.top:=46;
           button2.top:=46;
        end;
    end;
    edit1.setfocus;
    edit1.SelectAll;
    memo1.Lines.text:=trim(memo1.Lines.text);
  except
     writelog(log,'FileReadError','Form4.FormActivate');
  end;
  cfgini.free;
end;

////////////////////////////////////////////////////////////////////////////////
// 
////////////////////////////////////////////////////////////////////////////////
procedure TForm4.Button2Click(Sender: TObject);
begin
  form4.close;
end;

////////////////////////////////////////////////////////////////////////////////
//  
////////////////////////////////////////////////////////////////////////////////
procedure TForm4.Button1Click(Sender: TObject);
var i:integer;
    ok:boolean;
    ln,f:string;
    cfgini:tinifile;
begin
  cfgini:=tinifile.Create(dir+'PhoneBook.ini');
  try
    // 
    ln:=Phonebook.list.selected.text;
    ok:=true;
    //    
    for i:=0 to Phonebook.list.items.count-1 do begin
      if (Phonebook.list.items[i].text=edit1.text) then ok:=false;
    end;
    //     
    if ok or (edit1.text=ln) then begin
        case Phonebook.list.selected.ImageIndex of
           1: begin //
                cfgini.DeleteKey('Group',Phonebook.list.selected.text);
                Phonebook.list.selected.text:=edit1.text;
                cfgini.writestring('Group',Phonebook.list.selected.text,trim(memo1.lines.text));
            end;
         3: begin //
                cfgini.DeleteKey('Group',Phonebook.list.selected.text);
                Phonebook.list.selected.text:=edit1.text;
                cfgini.writestring('Group',Phonebook.list.selected.text,trim(memo1.lines.text));
            end;
         2: begin //
                f:=Phonebook.list.selected.text;
                if  renameFile(dir+'text\'+f+'.txt',dir+'text\'+edit1.text+'.txt') then
                   Phonebook.list.selected.text:=edit1.text
                else showmessage('  ');
            end;
       end;
      form4.close;
  end
  // 
  else begin
     showmessage('   ');
  end;
  except
    writelog(log,'FileRenameError','Form4.Button1Click');
  end;
  cfgini.Free;
end;

////////////////////////////////////////////////////////////////////////////////
//    
////////////////////////////////////////////////////////////////////////////////
procedure TForm4.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
if key=' ' then key:='_';
if not (key in ['0'..'9','a'..'z','A'..'Z',''..'',''..'',#8,'!','#','@','&','(',')','[',']','-','=','_','+','.','~',':','"',';','?'])
   then begin key:=#0; beep; end;
end;

////////////////////////////////////////////////////////////////////////////////
//  
////////////////////////////////////////////////////////////////////////////////
procedure TForm4.Action1Execute(Sender: TObject);
begin
  close;
end;

end.
